python 自定义异常问题

ZhouLS 发布于 2013/08/21 18:09
阅读 1K+
收藏 0

脚本如下:

#!/usr/bin/python
try:
    raise Error
except Error:
    print "off"
报错如下:
NameError: global name 'Error' is not defined
网上找了很久,,一直没找到什么解决办法 ,,求高手来讲解一下。谢谢了。


加载中
0
sToa
sToa
这是不是你想要的?
try:
    raise Exception("error")
except Exception as e:
    print e
0
刘地
刘地
python只能抛出一个error类型,如果你要自定义,你就必须继承基本error类型
0
LianyouCQ
LianyouCQ
应该看看文档,你们有Exceptions相关介绍
0
ZhouLS
ZhouLS

引用来自“prehisle”的答案

这是不是你想要的?
try:
    raise Exception("error")
except Exception as e:
    print e
是的,谢谢了。
返回顶部
顶部